package com.bocloud.cmp.model;

public class ResourceResult {
    private String sn;
    private String oldSn;
    private String oldStatus;
    private Operation operation;
    private boolean success;
    private String message;
    private String resourceSpec;// 资源规格
    private String resourceUuid;// 资源UUID
    private Long refuseId; // 退订人

    /**
     * @return the sn
     */
    public String getSn() {
        return sn;
    }

    /**
     * @param sn the sn to set
     */
    public void setSn(String sn) {
        this.sn = sn;
    }

    /**
     * @return the oldSn
     */
    public String getOldSn() {
        return oldSn;
    }

    /**
     * @param oldSn the oldSn to set
     */
    public void setOldSn(String oldSn) {
        this.oldSn = oldSn;
    }

    public Operation getOperation() {
        return operation;
    }

    public void setOperation(Operation operation) {
        this.operation = operation;
    }

    /**
     * @return the success
     */
    public boolean isSuccess() {
        return success;
    }

    /**
     * @param success the success to set
     */
    public void setSuccess(boolean success) {
        this.success = success;
    }

    /**
     * @return the message
     */
    public String getMessage() {
        return message;
    }

    /**
     * @param message the message to set
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public String getResourceSpec() {
        return resourceSpec;
    }

    public void setResourceSpec(String resourceSpec) {
        this.resourceSpec = resourceSpec;
    }

    public ResourceResult() {
        super();
    }

    public String getOldStatus() {
        return oldStatus;
    }

    public void setOldStatus(String oldStatus) {
        this.oldStatus = oldStatus;
    }

    public String getResourceUuid() {
        return resourceUuid;
    }

    public void setResourceUuid(String resourceUuid) {
        this.resourceUuid = resourceUuid;
    }

    public Long getRefuseId() {
        return refuseId;
    }

    public void setRefuseId(Long refuseId) {
        this.refuseId = refuseId;
    }

    public ResourceResult(String sn, String oldSn, Operation operation, boolean success, String message,
                          String resourceSpec, String resourceUuid) {
        super();
        this.sn = sn;
        this.oldSn = oldSn;
        this.operation = operation;
        this.success = success;
        this.message = message;
        this.resourceSpec = resourceSpec;
        this.resourceUuid = resourceUuid;
    }

    public ResourceResult(String sn, Operation operation, boolean success, String message) {
        super();
        this.sn = sn;
        this.operation = operation;
        this.success = success;
        this.message = message;
    }

    public enum Operation {
        creation, // 资源创建操作
        deletion, // 资源删除操作
        modification, // 资源变更操作
        postpone // 延期
    }
}
